javax.json.stream

## Class JsonParsingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.json.JsonException
        - - javax.json.stream.JsonParsingException

- All Implemented Interfaces:
    Serializable

      public class JsonParsingException
      extends JsonException

  `JsonParsingException` is used when an incorrect JSON is being parsed.
  Author:
    Jitendra Kotamraju
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonParsingException(String message, JsonLocation location)` Constructs a new runtime exception with the specified detail message.
    `JsonParsingException(String message, Throwable cause, JsonLocation location)` Constructs a new runtime exception with the specified detail message and cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonLocation` | `getLocation()` Return the location of the incorrect JSON.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonParsingException

          public JsonParsingException(String message,
                              JsonLocation location)

      Constructs a new runtime exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
      Parameters:
        `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
        `location` - the location of the incorrect JSON

    - #### JsonParsingException

          public JsonParsingException(String message,
                              Throwable cause,
                              JsonLocation location)

      Constructs a new runtime exception with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated in this runtime exception's detail message.

      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
        `location` - the location of the incorrect JSON

  - ### Method Detail

    - #### getLocation

          public JsonLocation getLocation()

      Return the location of the incorrect JSON.
      Returns:
        the non-null location of the incorrect JSON

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.